List OS configuration templates

View as Markdown

Admin clients may view all OS templates; all other clients can only view templates belonging to their own organization.

Required scope: air:image_read (roles: air_image_publisher, air_image_uploader, air_org_admin, air_user)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

limitintegerOptional
Number of results to return per page.
offsetintegerOptional
The initial index from which to return the results.
orderingenumOptional

Order objects by field. Prefix with - for descending order.

os_template_versionstringOptional
os_typestringOptional
searchstringOptional

Search by os_type or os_template_version.

Response

countinteger
resultslist of objects
nextstring or nullOptionalformat: "uri"
previousstring or nullOptionalformat: "uri"

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error